Ubuntu 10.10 install script with x264 support

Forum for questions and support relating to the 1.24.x releases only.
Pada
Posts: 69
Joined: Fri Jul 30, 2010 12:29 am

Ubuntu 10.10 install script with x264 support

Post by Pada » Sat Oct 23, 2010 4:31 am

From all the Ubuntu distributions that I've tried the past 2 months, Maverick Meerkat (10.10) seems to have the best results for installing ZM from the package manager.

This post has 2 ZoneMinder installation types:
Part A - from Ubuntu repository
Part B - from source

Part A - installing ZoneMinder from Ubuntu repositories:
  • I have written a shell script to:
    1. Install libavcodec with extra codecs (for x264 support)
    2. Install ZoneMinder 1.24.2 from the Ubuntu repositories
    3. Correct the Apache2 configurations necessary for ZoneMinder
    4. Fix ZoneMinder startup issue
    5. Show the current kernel.shmall and kernel.shmmax values and adjust them to 90% of the system memory
    Here's the script:

    Code: Select all

    #!/bin/sh
    # ZoneMinder 1.24.2 installation script
    #
    # Copyright (C) 2010 Chris "Pada" Kistner
    #
    # This program is free software; you can redistribute it and/or
    # modify it under the terms of the GNU General Public License
    # as published by the Free Software Foundation; either version 2
    # of the License, or (at your option) any later version.
    
    echo "--- Checking for root privileges..."
    if [ "`whoami`" != "root" ]; then
       echo Error: This script requires root access
       exit 1
    fi
    
    echo "--- Installing extra codecs, which includes x264 support..."
    apt-get -y install libavcodec-extra-52 libavformat-extra-52 libswscale-extra-0 libavfilter-extra-1
    
    echo "--- Installing ZoneMinder..."
    apt-get -y install zoneminder
    
    echo "--- Adding ZoneMinder to Apache2..."
    ln -s /etc/zm/apache.conf /etc/apache2/sites-available/zoneminder.conf
    a2ensite zoneminder
    service apache2 restart 
    
    echo "--- Adding alias for zoneminder service and fixing ZoneMinder startup..."
    ln -s /etc/init.d/zoneminder /etc/init.d/zm
    update-rc.d -f zoneminder remove
    update-rc.d -f zm remove
    update-rc.d zm defaults 92
    
    echo "--- Applying ZMFix, adding www-data user to video group and restarting ZM..."
    chmod 4755 /usr/bin/zmfix
    zmfix -a 
    adduser www-data video 
    service zm restart
    
    echo "--- Correcting SHM to 90% of memory..."
    apt-get -y install coreutils bc
    page_size=$(getconf PAGE_SIZE)
    mem_bytes=$(awk '/MemTotal:/ { printf "%0.f",$2 * 1024}' /proc/meminfo)
    mb=1048576
    mem_bytes_mb=$(expr $mem_bytes / $mb)
    shmmax=$(echo "$mem_bytes * 0.90" | bc | cut -f 1 -d '.')
    shmmax_mb=$(expr $shmmax / $mb)
    shmall=$(expr $mem_bytes / $page_size)
    shmmax_cur=$(sysctl -n kernel.shmmax)
    shmmax_cur_mb=$(expr $shmmax_cur / $mb)
    shmall_cur=$(sysctl -n kernel.shmall)
    echo "-- Total memory = $mem_bytes B = $mem_bytes_mb MB"
    echo "-- Page size = $page_size B"
    echo "-- Current kernel.shmmax = $shmmax_cur B = $shmmax_cur_mb MB"
    echo "-- Current kernel.shmall = $shmall_cur pages"
    if [ "$shmmax" -eq "$shmmax_cur" ] && [ "$shmall" -eq "$shmall_cur" ]; then
       echo "-- Recommended shm values already set"
    else
       echo "-- Recommended: kernel.shmmax = $shmmax B = $shmmax_mb MB"
       echo "-- Recommended: kernel.shmmall = $shmall pages"
       file=/etc/sysctl.conf
       if [ "`grep "^kernel\.shmmax" $file -c`" != "0" ]; then
          echo "-- Replacing: kernel.shmmax in $file"
          sed "s/^kernel\.shmmax.*$/kernel.shmmax=$shmmax/g" -i $file
       else
          echo "-- Adding: kernel.shmmax to $file"
          echo kernel.shmmax=$shmmax >> $file
       fi
       if [ "`grep "^kernel\.shmall" /etc/sysctl.conf -c`" != "0" ]; then
          echo "-- Replacing: kernel.shmall in $file"
          sed "s/^kernel\.shmall.*$/kernel.shmall=$shmall/g" -i $file
       else
          echo "-- Adding: kernel.shmall to $file"
          echo kernel.shmall=$shmall >> $file
       fi
       echo "-- Using: new sysctl values"
       sysctl -p
    fi
    
    # Done
    echo "--- Done."
    You might want to make the following changes under Options > Images:
    • STREAM_METHOD = mpeg
    • MPEG_LIVE_FORMAT = asf
    Also read through the http://www.zoneminder.com/wiki/index.ph ... peg%2C_etc.) guide, and you might want to follow the "Add the video group to the www-data user" and "Fix deprecated usage of ereg() in functions.php" steps.

    I have tested this by altering FFMPEG_OUTPUT_OPTIONS and I've successfully managed to let ZoneMinder convert the recorded event into a x264 encoded video using ffmpeg's x264 medium + main presets.

    Just remember that if you want to test the input of x264 streams, you have to select ffmpeg as the source type AND if you're streaming from a local file, ensure that the www-user has read permissions!

-----------------------------

A few notes:
warmcat has recently made a new contribution which is awesome, however this hasn't been tested yet:
Matroska (.mkv) Event Storage + Axis RTSP/H264 fixes
^^ This user contribution would require you to compile & install ZM from source code.


-----------------------------


Part B - Installing ZoneMinder from source:
  • Unfortunately compiling & installing ZoneMinder from source code is another beast, but here are some pointers...

    This is loosely based on Ubuntu 9.10 Server x86 setup and Re: HOWTO: Install and use the latest FFmpeg and x264 (Pada)
    1. Install Apache, PHP & MySQL.

      Code: Select all

      sudo apt-get install apache2 mysql-client mysql-server php5 libapache2-mod-php5 php5-cli php5-mysql
    2. Install All Prerequisites:

      Code: Select all

      sudo apt-get install build-essential linux-headers-`uname -r` automake perl libnet-ssleay-perl openssl libauthen-pam-perl libpam-runtime libio-pty-perl libmysqlclient-dev libarchive-zip-perl libdate-manip-perl libdevice-serialport-perl libjpeg62 libjpeg62-dev libmime-perl libstdc++6 libwww-perl zlib1g zip unzip patch ntp openssl libpcre3-dev libssl-dev libjpeg-progs libcurl4-gnutls-dev munin munin-node libmime-lite-perl netpbm libbz2-dev subversion yasm git checkinstall
    3. Follow "Install Perl Modules" instructions. Remember to run 'perl -MCPAN -e shell' with sudo (root privileges).
    4. Installing x264:

      Code: Select all

      cd
      git clone git://git.videolan.org/x264.git
      cd x264
      ./configure --enable-shared
      Important for x64 users:
      • In config.mak, I moved -fPIC to the front.
        eg.: 'CFLAGS=-Wshadow -O3 -ffast-math -Wall -I. -std=gnu99 -I/usr/local/include -fPIC -s -fomit-frame-pointer -fno-tree-vectorize'
        became: 'CFLAGS=-fPIC -Wshadow -O3 -ffast-math -Wall -I. -std=gnu99 -I/usr/local/include -s -fomit-frame-pointer -fno-tree-vectorize'.
      ... and continue again (both x86 & x64 users) ...

      Code: Select all

      make -j `grep -c ^processor /proc/cpuinfo`
      sudo checkinstall --pkgname=x264 --pkgversion "2:0.`grep X264_BUILD x264.h -m1 | \
          cut -d' ' -f3`.`git rev-list HEAD | wc -l`+git`git rev-list HEAD -n 1 | \
          head -c 7`" --backup=no --deldoc=yes --fstrans=no --default
      Installing FFmpeg:

      Code: Select all

      cd
      svn checkout svn://svn.ffmpeg.org/ffmpeg/trunk ffmpeg
      cd ffmpeg
      ./configure --enable-gpl --enable-libx264  --enable-shared --enable-pthreads
      make -j `grep -c ^processor /proc/cpuinfo`
      sudo checkinstall --pkgname=ffmpeg --pkgversion "4:SVN-r`LANG=C svn info | \
          grep Revision | awk '{ print $NF }'`" --backup=no --deldoc=yes --fstrans=no \
          --default
      hash x264 ffmpeg ffplay
      sudo su
      cd /lib
      ln -s /usr/local/lib/libswscale.so.0
      ln -s /usr/local/lib/libavformat.so.52
      ln -s /usr/local/lib/libavcodec.so.52
      ln -s /usr/local/lib/libavutil.so.50
      ln -s /usr/local/lib/libavdevice.so.52
      ln -s /usr/local/lib/libx264.so.107
      exit
      
    5. !! Note !!
      Add the following argument to the ZM ./configure line:

      Code: Select all

      CPPFLAGS="-D__STDC_CONSTANT_MACROS"
      Now follow the "Install & Config ZoneMinder" instructions and onwards
    6. Run the part of my script that I've posted above to fix the ZM startup issue.
    7. You might want to run the part of my script that I've posted above to correct the kernel.shmmax and kernel.shmall settings, unless you're using mmap, then it might not be necessary.
I'll see if I can create a Wiki page for this next week, but my Wiki skills aren't near my phpbb skills :)
Last edited by Pada on Wed Feb 09, 2011 11:45 am, edited 5 times in total.

martymoose
Posts: 128
Joined: Tue Jul 12, 2005 9:59 am
Location: australia

Post by martymoose » Sat Oct 23, 2010 10:04 am

Mate great work
just installed on a new box
and got this error right on the 2nd last setp

expr: syntax error
-- Total memory = 2100191232 B = 2002 MB
-- Page size = 4096 B
-- Current kernel.shmmax = 33554432 B = 32 MB
-- Current kernel.shmall = 2097152 pages
[: 71: Illegal number:
-- Recommended: kernel.shmmax = B = MB
-- Recommended: kernel.shmmall = 512742 pages
-- Adding: kernel.shmmax to /etc/sysctl.conf
-- Adding: kernel.shmall to /etc/sysctl.conf
-- Using: new sysctl values
warning: /etc/sysctl.conf(61): invalid syntax, continuing...
kernel.shmall = 512742
--- Done.

no value to kernel.shmmax was add to sysctl
i add manual
I donated have YOU?

Pada
Posts: 69
Joined: Fri Jul 30, 2010 12:29 am

Post by Pada » Sat Oct 23, 2010 2:27 pm

martymoose: thanks

Install "coreutils" and see if that bottom part of the script works.

Could you perhaps tell me what version of Linux you tried it on?
Also: did you update all the packages before running the script of mine?

martymoose
Posts: 128
Joined: Tue Jul 12, 2005 9:59 am
Location: australia

Post by martymoose » Sat Oct 23, 2010 8:27 pm

Pada wrote:martymoose: thanks

Install "coreutils" and see if that bottom part of the script works.

Could you perhaps tell me what version of Linux you tried it on?
Also: did you update all the packages before running the script of mine?
mate was installed on virgin 10.10 maverick server on a new itx atom with 2gb ram
system was updated and upgraded then the script was installed
coreutils in installed

mate can test as having probs with cap card
I donated have YOU?

Pada
Posts: 69
Joined: Fri Jul 30, 2010 12:29 am

Post by Pada » Sat Oct 23, 2010 8:45 pm

hmm, perhaps "bc" isn't installed.
What happens if you run:

Code: Select all

echo $(echo "2100191232 * 0.90" | bc | cut -f 1 -d '.')

martymoose
Posts: 128
Joined: Tue Jul 12, 2005 9:59 am
Location: australia

Post by martymoose » Sat Oct 23, 2010 10:49 pm

ok bc was not installed
so installed and it all worked
Starting ZoneMinder: success

Code: Select all

--- Correcting SHM to 90% of memory...
-- Total memory = 2100191232 B = 2002 MB
-- Page size = 4096 B
-- Current kernel.shmmax = 5127420 B = 4 MB
-- Current kernel.shmall = 5127420 pages
-- Recommended: kernel.shmmax = 1890172108 B = 1802 MB
-- Recommended: kernel.shmmall = 512742 pages
-- Replacing: kernel.shmmax in /etc/sysctl.conf
-- Replacing: kernel.shmall in /etc/sysctl.conf
-- Using: new sysctl values
kernel.shmmax = 1890172108
kernel.shmall = 512742
--- Done.
marty@atom:~$
all sweet now

maybe a stickie? carnt be any easier
I donated have YOU?

Pada
Posts: 69
Joined: Fri Jul 30, 2010 12:29 am

Post by Pada » Sat Oct 23, 2010 11:09 pm

Thanks Marty. I appreciate it that you've tested this.
I have to agree with you that it really can't be easier to setup than to just run that 1 single script :)

I've just tested it using Ubuntu 10.10 Desktop, running in VirtualBox.

It would be awesome if someone could just convert this into 1 or 2 Wiki pages.

martymoose
Posts: 128
Joined: Tue Jul 12, 2005 9:59 am
Location: australia

Post by martymoose » Sat Oct 23, 2010 11:50 pm

mate just toasted that install so playing again
going to try part b

bit unsure which instructs i follow
from you code

Now follow the "Install & Config ZoneMinder" instructions and onward
s
which ones do i folllow?

ps i want to try the svn version/latest
got a pvr-150 ivtv card i want to work?
I donated have YOU?

Pada
Posts: 69
Joined: Fri Jul 30, 2010 12:29 am

Post by Pada » Sun Oct 24, 2010 12:07 am

Well, I've said that I've based my guide on the Ubuntu 9.10 guide, so I tried to imply that you have to continue following the Ubuntu 9.10 guide: http://www.zoneminder.com/wiki/index.ph ... ver_32-bit

I haven't worked with camera/tv cards yet, so I can't help you there...

martymoose
Posts: 128
Joined: Tue Jul 12, 2005 9:59 am
Location: australia

Post by martymoose » Sun Oct 24, 2010 1:04 am

mate tried part B
had compile errors miss perl errors
just gave up
ran your script part a and bang worked out of the box again
I donated have YOU?

martymoose
Posts: 128
Joined: Tue Jul 12, 2005 9:59 am
Location: australia

Re: Ubuntu 10.10 install script with x264 support

Post by martymoose » Sun Oct 24, 2010 6:21 am

Pada wrote:F you might want to follow the "Add the video group to the www-data user"
i have found this to be a must

Code: Select all

sudo adduser www-data video
about to run a new install test
I donated have YOU?

letsharehowto
Posts: 10
Joined: Sun Oct 24, 2010 11:31 am
Location: Sai Gon - Viet Nam

Setup Zoneminder 1.24.x on Ubuntu server with Pada scrip.

Post by letsharehowto » Mon Oct 25, 2010 9:21 am

My box:
-Intel(R) Pentium(R) Dual CPU E2200 @ 2.20GHz, 2 cores
-Memory: 2G
-Dvr card: http://picasaweb.google.com/letsharehowto/DvrCard#

We have 4 step:

-Install Ubuntu server.
-Install bttv driver.
-Install Zoneminder.
-Config Zoneminder.

1/Install Ubuntu server:

Set up new box Ubuntu server 10.10. If you don't know, you can google.
-When box get dhcp IP address, press Cancel, then input IP manual. In my case, my IP is: 192.168.1.75. Netmask: 255.255.255.0. Gateway: 192.168.1.1. Name server address: 192.168.1.1.
-When box ask software to install, only choose OpenSSH.
Finish install, reboot box.

Logon and enable root account.

Code: Select all

sudo passwd root
Exit then logon with root and latter do everything with root too.

Update box:

Code: Select all

apt-get update && apt-get upgrade -y
2/Install bttv driver:

I have one dvr card and my card look like this card: http://www.zoneminder.com/wiki/index.php/Kodicom_8800.
Install bttv driver:

Code: Select all

nano /etc/modprobe.d/bttv.conf
Cut and paste this quote into file then save and exit:
options i2c-algo-bit bit_test=1
options bttv gbuffers=16 card=102,102,102,102,102,102,102,102 radio=0,0,0,0,0,0,0,0 tuner=4,4,4,4,4,4,4,4 chroma_agc=1 combfilter=2 full_luma_range=1 coring=1 autoload=0
Reboot box:

Code: Select all

reboot
Logon with root. Make sure dvr card work:

Code: Select all

ls /dev/video*
If it works, the quote like this:
/dev/video0 /dev/video2 /dev/video4 /dev/video6
/dev/video1 /dev/video3 /dev/video5 /dev/video7
3/Install zoneminder:

Make Pada scrip:

Code: Select all

nano pada.sh
Cut and paste this quote into file then save and exit:
#!/bin/sh
# ZoneMinder 1.24.2 installation script
#
# Copyright (C) 2010 Chris "Pada" Kistner
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.

echo "--- Checking for root privileges..."
if [ "`whoami`" != "root" ]; then
echo Error: This script requires root access
exit 1
fi

echo "--- Installing extra codecs, which includes x264 support..."
apt-get -y install libavcodec-extra-52 libavformat-extra-52 libswscale-extra-0 libavfilter-extra-1

echo "--- Installing ZoneMinder..."
apt-get -y install zoneminder

echo "--- Adding ZoneMinder to Apache2..."
ln -s /etc/zm/apache.conf /etc/apache2/sites-enabled/zoneminder.conf
service apache2 restart

echo "--- Adding alias for zoneminder service and fixing ZoneMinder startup..."
ln -s /etc/init.d/zoneminder /etc/init.d/zm
update-rc.d -f zoneminder remove
update-rc.d -f zm remove
update-rc.d zm defaults 92
service zm restart

echo "--- Correcting SHM to 90% of memory..."
apt-get -y install coreutils bc
page_size=$(getconf PAGE_SIZE)
mem_bytes=$(awk '/MemTotal:/ { printf "%0.f",$2 * 1024}' /proc/meminfo)
mb=1048576
mem_bytes_mb=$(expr $mem_bytes / $mb)
shmmax=$(echo "$mem_bytes * 0.90" | bc | cut -f 1 -d '.')
shmmax_mb=$(expr $shmmax / $mb)
shmall=$(expr $mem_bytes / $page_size)
shmmax_cur=$(sysctl -n kernel.shmmax)
shmmax_cur_mb=$(expr $shmmax_cur / $mb)
shmall_cur=$(sysctl -n kernel.shmall)
echo "-- Total memory = $mem_bytes B = $mem_bytes_mb MB"
echo "-- Page size = $page_size B"
echo "-- Current kernel.shmmax = $shmmax_cur B = $shmmax_cur_mb MB"
echo "-- Current kernel.shmall = $shmall_cur pages"
if [ "$shmmax" -eq "$shmmax_cur" ] && [ "$shmall" -eq "$shmall_cur" ]; then
echo "-- Recommended shm values already set"
else
echo "-- Recommended: kernel.shmmax = $shmmax B = $shmmax_mb MB"
echo "-- Recommended: kernel.shmmall = $shmall pages"
file=/etc/sysctl.conf
if [ "`grep "^kernel\.shmmax" $file -c`" != "0" ]; then
echo "-- Replacing: kernel.shmmax in $file"
sed "s/^kernel\.shmmax.*$/kernel.shmmax=$shmmax/g" -i $file
else
echo "-- Adding: kernel.shmmax to $file"
echo kernel.shmmax=$shmmax >> $file
fi
if [ "`grep "^kernel\.shmall" /etc/sysctl.conf -c`" != "0" ]; then
echo "-- Replacing: kernel.shmall in $file"
sed "s/^kernel\.shmall.*$/kernel.shmall=$shmall/g" -i $file
else
echo "-- Adding: kernel.shmall to $file"
echo kernel.shmall=$shmall >> $file
fi
echo "-- Using: new sysctl values"
sysctl -p
fi

# Done
echo "--- Done."
Make pada.sh can execute:

Code: Select all

chmod 744 pada.sh
Install Zoneminder:

Code: Select all

./pada.sh
Add www-data user:

Code: Select all

adduser www-data video
Reboot box:

Code: Select all

reboot
4/Config Zoneminder:

On client open Mozzilla web browser. At address type:
If Zoneminder works, the picture like this. (Make sure in the first line, at middle line like this: "ZoneMinder Console - Running - v1.24.2").

( http://picasaweb.google.com/letsharehowto/Running# )

Click Options.

Then click Paths tab.

Check USE_DEEP_STORAGE like this. Click Save button. You will see popup windows, don't worry, click OK button.

( http://picasaweb.google.com/letsharehow ... 9608858962 )

Then click Images tab. Default JPEG_FILE_QUALITY is 70 , change to 100.

Delete everything at FFMPEG_OUTPUT_OPTIONS and replace with:
-f mp4 -vcodec libx264 -vpre default -an -threads 0
Delete everything at FFMPEG_FORMATS and replace with:
mp4 mpg mpeg wmv asf avi* mov swf 3gp**
When you done, like this. Click Save button. Then click Cancel.

( http://picasaweb.google.com/letsharehow ... 7070731730 )

Restart Zoneminder: click Running -> choose Restart -> click Apply.

( http://picasaweb.google.com/letsharehow ... Zoneminder# )

Add new monitor: click Add New Monitor button then follow my pictures, when finish click save button.

( http://picasaweb.google.com/letsharehowto/AddNewMonitor# )

Download "HQ" movies: follow these pictures - look at mouse point.

( http://picasaweb.google.com/letsharehow ... _HQ_Movies# )

You can download mysqltuner.pl from http://blog.mysqltuner.com/download to make mysql work smooth.

Thanks:

http://www.zoneminder.com
http://www.ubuntu.com
Chris "Pada" Kistner
http://blog.mysqltuner.com

letsharehowto
Posts: 10
Joined: Sun Oct 24, 2010 11:31 am
Location: Sai Gon - Viet Nam

This is everything I do on server.

Post by letsharehowto » Mon Oct 25, 2010 9:26 am

thanh@Latitude131L:~$ ssh tuannguyen@192.168.1.75
The authenticity of host '192.168.1.75 (192.168.1.75)' can't be established.
RSA key fingerprint is 73:a6:82:1b:44:01:ae:3c:7c:a8:a6:a3:84:d9:31:ef.
Are you sure you want to continue connecting (yes/no)? yes
Warning: Permanently added '192.168.1.75' (RSA) to the list of known hosts.
tuannguyen@192.168.1.75's password:
Linux kimngan 2.6.35-22-server #33-Ubuntu SMP Sun Sep 19 20:48:58 UTC 2010 x86_64 GNU/Linux
Ubuntu maverick (development branch)

Welcome to the Ubuntu Server!
* Documentation: http://www.ubuntu.com/server/doc

The programs included with the Ubuntu system are free software;
the exact distribution terms for each program are described in the
individual files in /usr/share/doc/*/copyright.

Ubuntu comes with ABSOLUTELY NO WARRANTY, to the extent permitted by
applicable law.

To run a command as administrator (user "root"), use "sudo <command>".
See "man sudo_root" for details.

tuannguyen@kimngan:~$ sudo passwd root
[sudo] password for tuannguyen:
Enter new UNIX password:
Retype new UNIX password:
passwd: password updated successfully
tuannguyen@kimngan:~$ exit
logout
Connection to 192.168.1.75 closed.
thanh@Latitude131L:~$ ssh root@192.168.1.75
root@192.168.1.75's password:
Linux kimngan 2.6.35-22-server #33-Ubuntu SMP Sun Sep 19 20:48:58 UTC 2010 x86_64 GNU/Linux
Ubuntu maverick (development branch)

Welcome to the Ubuntu Server!
* Documentation: http://www.ubuntu.com/server/doc

The programs included with the Ubuntu system are free software;
the exact distribution terms for each program are described in the
individual files in /usr/share/doc/*/copyright.

Ubuntu comes with ABSOLUTELY NO WARRANTY, to the extent permitted by
applicable law.

root@kimngan:~# apt-get update && apt-get upgrade -y
Get:1 http://extras.ubuntu.com maverick Release.gpg [65B]
Ign http://extras.ubuntu.com/ubuntu/ maverick/main Translation-en
Get:2 http://us.archive.ubuntu.com maverick Release.gpg [198B]
Ign http://us.archive.ubuntu.com/ubuntu/ maverick/main Translation-en
Get:3 http://security.ubuntu.com maverick-security Release.gpg [198B]
Ign http://security.ubuntu.com/ubuntu/ maverick-security/main Translation-en
Ign http://extras.ubuntu.com/ubuntu/ maverick/main Translation-en_US
Get:4 http://extras.ubuntu.com maverick Release [57.3kB]
Ign http://us.archive.ubuntu.com/ubuntu/ maverick/main Translation-en_US
Ign http://us.archive.ubuntu.com/ubuntu/ maverick/multiverse Translation-en
Ign http://us.archive.ubuntu.com/ubuntu/ maverick/multiverse Translation-en_US
Ign http://us.archive.ubuntu.com/ubuntu/ maverick/restricted Translation-en
Ign http://us.archive.ubuntu.com/ubuntu/ maverick/restricted Translation-en_US
Ign http://us.archive.ubuntu.com/ubuntu/ maverick/universe Translation-en
Ign http://us.archive.ubuntu.com/ubuntu/ maverick/universe Translation-en_US
Get:5 http://us.archive.ubuntu.com maverick-updates Release.gpg [198B]
Ign http://security.ubuntu.com/ubuntu/ maverick-security/main Translation-en_US
Ign http://security.ubuntu.com/ubuntu/ maverick-security/multiverse Translation-en
Ign http://security.ubuntu.com/ubuntu/ maverick-security/multiverse Translation-en_US
Ign http://security.ubuntu.com/ubuntu/ maverick-security/restricted Translation-en
Ign http://security.ubuntu.com/ubuntu/ maverick-security/restricted Translation-en_US
Ign http://security.ubuntu.com/ubuntu/ maverick-security/universe Translation-en
Ign http://security.ubuntu.com/ubuntu/ maverick-security/universe Translation-en_US
Get:6 http://security.ubuntu.com maverick-security Release [27.2kB]
Ign http://us.archive.ubuntu.com/ubuntu/ maverick-updates/main Translation-en
Ign http://us.archive.ubuntu.com/ubuntu/ maverick-updates/main Translation-en_US
Ign http://us.archive.ubuntu.com/ubuntu/ maverick-updates/multiverse Translation-en
Ign http://us.archive.ubuntu.com/ubuntu/ maverick-updates/multiverse Translation-en_US
Ign http://us.archive.ubuntu.com/ubuntu/ maverick-updates/restricted Translation-en
Ign http://us.archive.ubuntu.com/ubuntu/ maverick-updates/restricted Translation-en_US
Ign http://us.archive.ubuntu.com/ubuntu/ maverick-updates/universe Translation-en
Ign http://us.archive.ubuntu.com/ubuntu/ maverick-updates/universe Translation-en_US
Get:7 http://us.archive.ubuntu.com maverick Release [39.8kB]
Err http://extras.ubuntu.com maverick Release

Get:8 http://security.ubuntu.com maverick-security/main Sources [8,041B]
Get:9 http://us.archive.ubuntu.com maverick-updates Release [31.4kB]
Get:10 http://security.ubuntu.com maverick-security/restricted Sources [14B]
Get:11 http://security.ubuntu.com maverick-security/universe Sources [912B]
Get:12 http://security.ubuntu.com maverick-security/multiverse Sources [14B]
Get:13 http://security.ubuntu.com maverick-security/main amd64 Packages [22.0kB]
Get:14 http://us.archive.ubuntu.com maverick/main Sources [829kB]
Get:15 http://security.ubuntu.com maverick-security/restricted amd64 Packages [14B]
Get:16 http://security.ubuntu.com maverick-security/universe amd64 Packages [6,900B]
Get:17 http://security.ubuntu.com maverick-security/multiverse amd64 Packages [14B]
Get:18 http://us.archive.ubuntu.com maverick/restricted Sources [4,370B]
Get:19 http://us.archive.ubuntu.com maverick/universe Sources [4,179kB]
Get:20 http://us.archive.ubuntu.com maverick/multiverse Sources [151kB]
Get:21 http://us.archive.ubuntu.com maverick/main amd64 Packages [1,491kB]
Get:22 http://us.archive.ubuntu.com maverick/restricted amd64 Packages [6,002B]
Get:23 http://us.archive.ubuntu.com maverick/universe amd64 Packages [5,771kB]
Get:24 http://us.archive.ubuntu.com maverick/multiverse amd64 Packages [180kB]
Get:25 http://us.archive.ubuntu.com maverick-updates/main Sources [21.1kB]
Get:26 http://us.archive.ubuntu.com maverick-updates/restricted Sources [14B]
Get:27 http://us.archive.ubuntu.com maverick-updates/universe Sources [5,658B]
Get:28 http://us.archive.ubuntu.com maverick-updates/multiverse Sources [14B]
Get:29 http://us.archive.ubuntu.com maverick-updates/main amd64 Packages [54.4kB]
Get:30 http://us.archive.ubuntu.com maverick-updates/restricted amd64 Packages [14B]
Get:31 http://us.archive.ubuntu.com maverick-updates/universe amd64 Packages [19.8kB]
Get:32 http://us.archive.ubuntu.com maverick-updates/multiverse amd64 Packages [597B]
Fetched 12.9MB in 52s (247kB/s)
Reading package lists... Done
W: A error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: http://extras.ubuntu.com maverick Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 16126D3A3E5C1192

W: Failed to fetch http://extras.ubuntu.com/ubuntu/dists/maverick/Release

W: Some index files failed to download, they have been ignored, or old ones used instead.
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be upgraded:
apt apt-transport-https apt-utils base-files busybox-initramfs
busybox-static grub-common grub-pc initramfs-tools initramfs-tools-bin
language-selector-common libc-bin libc6 libcairo2 libdrm-intel1
libdrm-nouveau1 libdrm-radeon1 libdrm2 libgssapi-krb5-2 libk5crypto3
libkrb5-3 libkrb5support0 libldap-2.4-2 libssl0.9.8 libudev0
linux-headers-2.6.35-22 linux-headers-2.6.35-22-server
linux-image-2.6.35-22-server ltrace module-init-tools openssl tzdata
ubuntu-keyring udev update-manager-core
35 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 61.4MB of archives.
After this operation, 2,032kB of additional disk space will be used.
Get:1 http://us.archive.ubuntu.com/ubuntu/ maverick/main base-files amd64 5.0.0ubuntu23 [80.5kB]
Get:2 http://us.archive.ubuntu.com/ubuntu/ maverick-updates/main libc-bin amd64 2.12.1-0ubuntu8 [817kB]
Get:3 http://us.archive.ubuntu.com/ubuntu/ maverick-updates/main libc6 amd64 2.12.1-0ubuntu8 [4,259kB]
Get:4 http://us.archive.ubuntu.com/ubuntu/ maverick-updates/main tzdata all 2010m-0ubuntu0.10.10 [680kB]
Get:5 http://us.archive.ubuntu.com/ubuntu/ maverick/main module-init-tools amd64 3.12-1ubuntu2 [110kB]
Get:6 http://us.archive.ubuntu.com/ubuntu/ maverick-updates/main libudev0 amd64 162-2.1 [128kB]
Get:7 http://us.archive.ubuntu.com/ubuntu/ maverick/main initramfs-tools all 0.98.1ubuntu6 [106kB]
Get:8 http://us.archive.ubuntu.com/ubuntu/ maverick/main initramfs-tools-bin amd64 0.98.1ubuntu6 [65.9kB]
Get:9 http://us.archive.ubuntu.com/ubuntu/ maverick/main busybox-initramfs amd64 1:1.15.3-1ubuntu5 [182kB]
Get:10 http://us.archive.ubuntu.com/ubuntu/ maverick-updates/main udev amd64 162-2.1 [496kB]
Get:11 http://us.archive.ubuntu.com/ubuntu/ maverick-updates/main linux-image-2.6.35-22-server amd64 2.6.35-22.35 [33.9MB]
Get:12 http://us.archive.ubuntu.com/ubuntu/ maverick/main apt amd64 0.8.3ubuntu7 [2,098kB]
Get:13 http://us.archive.ubuntu.com/ubuntu/ maverick-updates/main libssl0.9.8 amd64 0.9.8o-1ubuntu4.1 [923kB]
Get:14 http://us.archive.ubuntu.com/ubuntu/ maverick/main apt-utils amd64 0.8.3ubuntu7 [270kB]
Get:15 http://us.archive.ubuntu.com/ubuntu/ maverick/main ubuntu-keyring all 2010.+09.30 [11.6kB]
Get:16 http://us.archive.ubuntu.com/ubuntu/ maverick-updates/main libdrm2 amd64 2.4.21-1ubuntu2.1 [32.6kB]
Get:17 http://us.archive.ubuntu.com/ubuntu/ maverick-updates/main libdrm-intel1 amd64 2.4.21-1ubuntu2.1 [33.4kB]
Get:18 http://us.archive.ubuntu.com/ubuntu/ maverick-updates/main libdrm-nouveau1 amd64 2.4.21-1ubuntu2.1 [22.5kB]
Get:19 http://us.archive.ubuntu.com/ubuntu/ maverick-updates/main libdrm-radeon1 amd64 2.4.21-1ubuntu2.1 [23.4kB]
Get:20 http://us.archive.ubuntu.com/ubuntu/ maverick/main apt-transport-https amd64 0.8.3ubuntu7 [92.4kB]
Get:21 http://us.archive.ubuntu.com/ubuntu/ maverick/main busybox-static amd64 1:1.15.3-1ubuntu5 [1,049kB]
Get:22 http://us.archive.ubuntu.com/ubuntu/ maverick/main language-selector-common all 0.6.6 [264kB]
Get:23 http://us.archive.ubuntu.com/ubuntu/ maverick/main libcairo2 amd64 1.10.0-1ubuntu2 [938kB]
Get:24 http://us.archive.ubuntu.com/ubuntu/ maverick-updates/main libk5crypto3 amd64 1.8.1+dfsg-5ubuntu0.1 [104kB]
Get:25 http://us.archive.ubuntu.com/ubuntu/ maverick-updates/main libgssapi-krb5-2 amd64 1.8.1+dfsg-5ubuntu0.1 [128kB]
Get:26 http://us.archive.ubuntu.com/ubuntu/ maverick-updates/main libkrb5-3 amd64 1.8.1+dfsg-5ubuntu0.1 [367kB]
Get:27 http://us.archive.ubuntu.com/ubuntu/ maverick-updates/main libkrb5support0 amd64 1.8.1+dfsg-5ubuntu0.1 [44.1kB]
Get:28 http://us.archive.ubuntu.com/ubuntu/ maverick-updates/main libldap-2.4-2 amd64 2.4.23-0ubuntu3.2 [214kB]
Get:29 http://us.archive.ubuntu.com/ubuntu/ maverick/main ltrace amd64 0.5.3-2ubuntu6 [82.7kB]
Get:30 http://us.archive.ubuntu.com/ubuntu/ maverick-updates/main update-manager-core amd64 1:0.142.20 [195kB]
Get:31 http://us.archive.ubuntu.com/ubuntu/ maverick/main grub-pc amd64 1.98+20100804-5ubuntu3 [767kB]
Get:32 http://us.archive.ubuntu.com/ubuntu/ maverick/main grub-common amd64 1.98+20100804-5ubuntu3 [1,473kB]
Get:33 http://us.archive.ubuntu.com/ubuntu/ maverick-updates/main linux-headers-2.6.35-22 all 2.6.35-22.35 [10.3MB]
Get:34 http://us.archive.ubuntu.com/ubuntu/ maverick-updates/main linux-headers-2.6.35-22-server amd64 2.6.35-22.35 [790kB]
Get:35 http://us.archive.ubuntu.com/ubuntu/ maverick-updates/main openssl amd64 0.9.8o-1ubuntu4.1 [407kB]
Fetched 61.4MB in 4min 5s (250kB/s)
Extracting templates from packages: 100%
Preconfiguring packages ...
(Reading database ... 39552 files and directories currently installed.)
Preparing to replace base-files 5.0.0ubuntu22 (using .../base-files_5.0.0ubuntu23_amd64.deb) ...
Unpacking replacement base-files ...
Processing triggers for install-info ...
Processing triggers for man-db ...
Setting up base-files (5.0.0ubuntu23) ...
Installing new version of config file /etc/issue ...
Installing new version of config file /etc/issue.net ...
Installing new version of config file /etc/lsb-release ...
(Reading database ... 39552 files and directories currently installed.)
Preparing to replace libc-bin 2.12.1-0ubuntu6 (using .../libc-bin_2.12.1-0ubuntu8_amd64.deb) ...
Unpacking replacement libc-bin ...
Processing triggers for man-db ...
Setting up libc-bin (2.12.1-0ubuntu8) ...
(Reading database ... 39552 files and directories currently installed.)
Preparing to replace libc6 2.12.1-0ubuntu6 (using .../libc6_2.12.1-0ubuntu8_amd64.deb) ...
Unpacking replacement libc6 ...
Setting up libc6 (2.12.1-0ubuntu8) ...
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
(Reading database ... 39552 files and directories currently installed.)
Preparing to replace tzdata 2010l-1 (using .../tzdata_2010m-0ubuntu0.10.10_all.deb) ...
Unpacking replacement tzdata ...
Setting up tzdata (2010m-0ubuntu0.10.10) ...

Current default time zone: 'Asia/Ho_Chi_Minh'
Local time is now: Mon Oct 25 15:38:57 ICT 2010.
Universal Time is now: Mon Oct 25 08:38:57 UTC 2010.
Run 'dpkg-reconfigure tzdata' if you wish to change it.

(Reading database ... 39552 files and directories currently installed.)
Preparing to replace module-init-tools 3.12-1ubuntu1 (using .../module-init-tools_3.12-1ubuntu2_amd64.deb) ...
Unpacking replacement module-init-tools ...
Preparing to replace libudev0 162-2 (using .../libudev0_162-2.1_amd64.deb) ...
Unpacking replacement libudev0 ...
Preparing to replace initramfs-tools 0.98.1ubuntu4 (using .../initramfs-tools_0.98.1ubuntu6_all.deb) ...
Unpacking replacement initramfs-tools ...
Preparing to replace initramfs-tools-bin 0.98.1ubuntu4 (using .../initramfs-tools-bin_0.98.1ubuntu6_amd64.deb) ...
Unpacking replacement initramfs-tools-bin ...
Preparing to replace busybox-initramfs 1:1.15.3-1ubuntu4 (using .../busybox-initramfs_1%3a1.15.3-1ubuntu5_amd64.deb) ...
Unpacking replacement busybox-initramfs ...
Preparing to replace udev 162-2 (using .../udev_162-2.1_amd64.deb) ...
Adding 'local diversion of /sbin/udevadm to /sbin/udevadm.upgrade'
Unpacking replacement udev ...
Preparing to replace linux-image-2.6.35-22-server 2.6.35-22.33 (using .../linux-image-2.6.35-22-server_2.6.35-22.35_amd64.deb) ...
Done.
Unpacking replacement linux-image-2.6.35-22-server ...
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 2.6.35-22-server /boot/vmlinuz-2.6.35-22-server
run-parts: executing /etc/kernel/postrm.d/zz-update-grub 2.6.35-22-server /boot/vmlinuz-2.6.35-22-server
Preparing to replace apt 0.8.3ubuntu5 (using .../apt_0.8.3ubuntu7_amd64.deb) ...
Unpacking replacement apt ...
Processing triggers for man-db ...
Processing triggers for ureadahead ...
ureadahead will be reprofiled on next reboot
Setting up apt (0.8.3ubuntu7) ...
Installing new version of config file /etc/cron.daily/apt ...
gpg: key 437D05B5: "Ubuntu Archive Automatic Signing Key <ftpmaster>" not changed
gpg: key FBB75451: "Ubuntu CD Image Automatic Signing Key <cdimage>" not changed
gpg: Total number processed: 2
gpg: unchanged: 2
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
(Reading database ... 39554 files and directories currently installed.)
Preparing to replace libssl0.9.8 0.9.8o-1ubuntu4 (using .../libssl0.9.8_0.9.8o-1ubuntu4.1_amd64.deb) ...
Unpacking replacement libssl0.9.8 ...
Setting up libssl0.9.8 (0.9.8o-1ubuntu4.1) ...
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
(Reading database ... 39554 files and directories currently installed.)
Preparing to replace apt-utils 0.8.3ubuntu5 (using .../apt-utils_0.8.3ubuntu7_amd64.deb) ...
Unpacking replacement apt-utils ...
Preparing to replace ubuntu-keyring 2010.+05.27.1 (using .../ubuntu-keyring_2010.+09.30_all.deb) ...
Unpacking replacement ubuntu-keyring ...
Preparing to replace libdrm2 2.4.21-1ubuntu2 (using .../libdrm2_2.4.21-1ubuntu2.1_amd64.deb) ...
Unpacking replacement libdrm2 ...
Preparing to replace libdrm-intel1 2.4.21-1ubuntu2 (using .../libdrm-intel1_2.4.21-1ubuntu2.1_amd64.deb) ...
Unpacking replacement libdrm-intel1 ...
Preparing to replace libdrm-nouveau1 2.4.21-1ubuntu2 (using .../libdrm-nouveau1_2.4.21-1ubuntu2.1_amd64.deb) ...
Unpacking replacement libdrm-nouveau1 ...
Preparing to replace libdrm-radeon1 2.4.21-1ubuntu2 (using .../libdrm-radeon1_2.4.21-1ubuntu2.1_amd64.deb) ...
Unpacking replacement libdrm-radeon1 ...
Preparing to replace apt-transport-https 0.8.3ubuntu5 (using .../apt-transport-https_0.8.3ubuntu7_amd64.deb) ...
Unpacking replacement apt-transport-https ...
Preparing to replace busybox-static 1:1.15.3-1ubuntu4 (using .../busybox-static_1%3a1.15.3-1ubuntu5_amd64.deb) ...
Unpacking replacement busybox-static ...
Preparing to replace language-selector-common 0.6.5 (using .../language-selector-common_0.6.6_all.deb) ...
Unpacking replacement language-selector-common ...
Preparing to replace libcairo2 1.10.0-1ubuntu1 (using .../libcairo2_1.10.0-1ubuntu2_amd64.deb) ...
Unpacking replacement libcairo2 ...
Preparing to replace libk5crypto3 1.8.1+dfsg-5 (using .../libk5crypto3_1.8.1+dfsg-5ubuntu0.1_amd64.deb) ...
Unpacking replacement libk5crypto3 ...
Preparing to replace libgssapi-krb5-2 1.8.1+dfsg-5 (using .../libgssapi-krb5-2_1.8.1+dfsg-5ubuntu0.1_amd64.deb) ...
Unpacking replacement libgssapi-krb5-2 ...
Preparing to replace libkrb5-3 1.8.1+dfsg-5 (using .../libkrb5-3_1.8.1+dfsg-5ubuntu0.1_amd64.deb) ...
Unpacking replacement libkrb5-3 ...
Preparing to replace libkrb5support0 1.8.1+dfsg-5 (using .../libkrb5support0_1.8.1+dfsg-5ubuntu0.1_amd64.deb) ...
Unpacking replacement libkrb5support0 ...
Preparing to replace libldap-2.4-2 2.4.23-0ubuntu3 (using .../libldap-2.4-2_2.4.23-0ubuntu3.2_amd64.deb) ...
Unpacking replacement libldap-2.4-2 ...
Preparing to replace ltrace 0.5.3-2ubuntu5 (using .../ltrace_0.5.3-2ubuntu6_amd64.deb) ...
Unpacking replacement ltrace ...
Preparing to replace update-manager-core 1:0.142.15 (using .../update-manager-core_1%3a0.142.20_amd64.deb) ...
Unpacking replacement update-manager-core ...
Preparing to replace grub-pc 1.98+20100804-5ubuntu2 (using .../grub-pc_1.98+20100804-5ubuntu3_amd64.deb) ...
Unpacking replacement grub-pc ...
Preparing to replace grub-common 1.98+20100804-5ubuntu2 (using .../grub-common_1.98+20100804-5ubuntu3_amd64.deb) ...
Unpacking replacement grub-common ...
Preparing to replace linux-headers-2.6.35-22 2.6.35-22.33 (using .../linux-headers-2.6.35-22_2.6.35-22.35_all.deb) ...
Unpacking replacement linux-headers-2.6.35-22 ...
Preparing to replace linux-headers-2.6.35-22-server 2.6.35-22.33 (using .../linux-headers-2.6.35-22-server_2.6.35-22.35_amd64.deb) ...
Unpacking replacement linux-headers-2.6.35-22-server ...
Preparing to replace openssl 0.9.8o-1ubuntu4 (using .../openssl_0.9.8o-1ubuntu4.1_amd64.deb) ...
Unpacking replacement openssl ...
Processing triggers for man-db ...
Processing triggers for install-info ...
Processing triggers for ureadahead ...
Setting up module-init-tools (3.12-1ubuntu2) ...
Setting up libudev0 (162-2.1) ...
Setting up initramfs-tools-bin (0.98.1ubuntu6) ...
Setting up busybox-initramfs (1:1.15.3-1ubuntu5) ...
Setting up apt-utils (0.8.3ubuntu7) ...
Setting up ubuntu-keyring (2010.+09.30) ...
gpg: key 437D05B5: "Ubuntu Archive Automatic Signing Key <ftpmaster>" not changed
gpg: key FBB75451: "Ubuntu CD Image Automatic Signing Key <cdimage>" not changed
gpg: Total number processed: 2
gpg: unchanged: 2
Setting up libdrm2 (2.4.21-1ubuntu2.1) ...
Setting up libdrm-intel1 (2.4.21-1ubuntu2.1) ...
Setting up libdrm-nouveau1 (2.4.21-1ubuntu2.1) ...
Setting up libdrm-radeon1 (2.4.21-1ubuntu2.1) ...
Setting up apt-transport-https (0.8.3ubuntu7) ...
Setting up busybox-static (1:1.15.3-1ubuntu5) ...
Setting up language-selector-common (0.6.6) ...
Setting up libcairo2 (1.10.0-1ubuntu2) ...
Setting up libkrb5support0 (1.8.1+dfsg-5ubuntu0.1) ...
Setting up libk5crypto3 (1.8.1+dfsg-5ubuntu0.1) ...
Setting up libkrb5-3 (1.8.1+dfsg-5ubuntu0.1) ...
Setting up libgssapi-krb5-2 (1.8.1+dfsg-5ubuntu0.1) ...
Setting up libldap-2.4-2 (2.4.23-0ubuntu3.2) ...
Setting up ltrace (0.5.3-2ubuntu6) ...
Setting up update-manager-core (1:0.142.20) ...
Setting up grub-common (1.98+20100804-5ubuntu3) ...
Installing new version of config file /etc/grub.d/00_header ...
Setting up grub-pc (1.98+20100804-5ubuntu3) ...
Installation finished. No error reported.
Generating grub.cfg ...
Found linux image: /boot/vmlinuz-2.6.35-22-server
Found initrd image: /boot/initrd.img-2.6.35-22-server
Found memtest86+ image: /boot/memtest86+.bin
done
Setting up linux-headers-2.6.35-22 (2.6.35-22.35) ...
Setting up linux-headers-2.6.35-22-server (2.6.35-22.35) ...
Setting up openssl (0.9.8o-1ubuntu4.1) ...
Setting up initramfs-tools (0.98.1ubuntu6) ...
update-initramfs: deferring update (trigger activated)
Setting up linux-image-2.6.35-22-server (2.6.35-22.35) ...
Running depmod.
update-initramfs: Generating /boot/initrd.img-2.6.35-22-server
Not updating initrd symbolic links since we are being updated/reinstalled
(2.6.35-22.33 was configured last, according to dpkg)
Not updating image symbolic links since we are being updated/reinstalled
(2.6.35-22.33 was configured last, according to dpkg)
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 2.6.35-22-server /boot/vmlinuz-2.6.35-22-server
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 2.6.35-22-server /boot/vmlinuz-2.6.35-22-server
Generating grub.cfg ...
Found linux image: /boot/vmlinuz-2.6.35-22-server
Found initrd image: /boot/initrd.img-2.6.35-22-server
Found memtest86+ image: /boot/memtest86+.bin
done
Setting up udev (162-2.1) ...
udev start/running, process 8774
Removing 'local diversion of /sbin/udevadm to /sbin/udevadm.upgrade'
update-initramfs: deferring update (trigger activated)
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
Processing triggers for python-central ...
Processing triggers for initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-2.6.35-22-server
root@kimngan:~# nano /etc/modprobe.d/bttv.conf
root@kimngan:~# nano /etc/modprobe.d/bttv.conf
root@kimngan:~# reboot

Broadcast message from root@kimngan
(/dev/pts/0) at 15:53 ...

The system is going down for reboot NOW!
root@kimngan:~# Connection to 192.168.1.75 closed by remote host.
Connection to 192.168.1.75 closed.
thanh@Latitude131L:~$ ssh root@192.168.1.75
root@192.168.1.75's password:
Linux kimngan 2.6.35-22-server #35-Ubuntu SMP Sat Oct 16 22:02:33 UTC 2010 x86_64 GNU/Linux
Ubuntu 10.10

Welcome to the Ubuntu Server!
* Documentation: http://www.ubuntu.com/server/doc
Last login: Mon Oct 25 15:33:30 2010 from 192.168.1.11
root@kimngan:~# ls /dev/video*
/dev/video0 /dev/video2 /dev/video4 /dev/video6
/dev/video1 /dev/video3 /dev/video5 /dev/video7
root@kimngan:~# nano pada.sh
root@kimngan:~# chmod 744 pada.sh
root@kimngan:~# ./pada.sh
--- Checking for root privileges...
--- Installing extra codecs, which includes x264 support...
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
libavutil-extra-50 libdirac-encoder0 libfaad2 libgsm1 libmp3lame0 libogg0
libopenjpeg2 liborc-0.4-0 librtmp0 libschroedinger-1.0-0 libspeex1
libtheora0 libva1 libvorbis0a libvorbisenc2 libvpx0 libx264-98 libxvidcore4
Suggested packages:
libfaad0 speex
The following NEW packages will be installed:
libavcodec-extra-52 libavfilter-extra-1 libavformat-extra-52
libavutil-extra-50 libdirac-encoder0 libfaad2 libgsm1 libmp3lame0 libogg0
libopenjpeg2 liborc-0.4-0 librtmp0 libschroedinger-1.0-0 libspeex1
libswscale-extra-0 libtheora0 libva1 libvorbis0a libvorbisenc2 libvpx0
libx264-98 libxvidcore4
0 upgraded, 22 newly installed, 0 to remove and 0 not upgraded.
Need to get 6,145kB of archives.
After this operation, 17.3MB of additional disk space will be used.
Get:1 http://us.archive.ubuntu.com/ubuntu/ maverick/universe libavutil-extra-50 amd64 4:0.6-2ubuntu3 [78.3kB]
Get:2 http://us.archive.ubuntu.com/ubuntu/ maverick/universe libdirac-encoder0 amd64 1.0.2-3 [395kB]
Get:3 http://us.archive.ubuntu.com/ubuntu/ maverick/universe libfaad2 amd64 2.7-4 [171kB]
Get:4 http://us.archive.ubuntu.com/ubuntu/ maverick/main libgsm1 amd64 1.0.13-3 [29.3kB]
Get:5 http://us.archive.ubuntu.com/ubuntu/ maverick/universe libmp3lame0 amd64 3.98.4-0ubuntu1 [262kB]
Get:6 http://us.archive.ubuntu.com/ubuntu/ maverick/universe libopenjpeg2 amd64 1.3+dfsg-4 [81.2kB]
Get:7 http://us.archive.ubuntu.com/ubuntu/ maverick/main liborc-0.4-0 amd64 0.4.6-1 [132kB]
Get:8 http://us.archive.ubuntu.com/ubuntu/ maverick/main libschroedinger-1.0-0 amd64 1.0.9.really-1build1 [274kB]
Get:9 http://us.archive.ubuntu.com/ubuntu/ maverick/main libspeex1 amd64 1.2~rc1-1ubuntu1 [61.5kB]
Get:10 http://us.archive.ubuntu.com/ubuntu/ maverick/main libogg0 amd64 1.2.0~dfsg-1 [17.5kB]
Get:11 http://us.archive.ubuntu.com/ubuntu/ maverick/main libtheora0 amd64 1.1.1+dfsg.1-3 [381kB]
Get:12 http://us.archive.ubuntu.com/ubuntu/ maverick/main libva1 amd64 1.0.1-3 [19.3kB]
Get:13 http://us.archive.ubuntu.com/ubuntu/ maverick/main libvorbis0a amd64 1.3.1-1 [107kB]
Get:14 http://us.archive.ubuntu.com/ubuntu/ maverick/main libvorbisenc2 amd64 1.3.1-1 [141kB]
Get:15 http://us.archive.ubuntu.com/ubuntu/ maverick/main libvpx0 amd64 0.9.2-1build1 [242kB]
Get:16 http://us.archive.ubuntu.com/ubuntu/ maverick/universe libx264-98 amd64 2:0.98.1653+git88b90d9-3 [258kB]
Get:17 http://us.archive.ubuntu.com/ubuntu/ maverick/universe libxvidcore4 amd64 2:1.2.2+debian-1ubuntu2 [268kB]
Get:18 http://us.archive.ubuntu.com/ubuntu/ maverick/multiverse libavcodec-extra-52 amd64 4:0.6-2ubuntu3 [2,529kB]
Get:19 http://us.archive.ubuntu.com/ubuntu/ maverick/multiverse libswscale-extra-0 amd64 4:0.6-2ubuntu3 [144kB]
Get:20 http://us.archive.ubuntu.com/ubuntu/ maverick/universe libavfilter-extra-1 amd64 4:0.6-2ubuntu3 [66.3kB]
Get:21 http://us.archive.ubuntu.com/ubuntu/ maverick/universe librtmp0 amd64 2.3-2 [51.0kB]
Get:22 http://us.archive.ubuntu.com/ubuntu/ maverick/multiverse libavformat-extra-52 amd64 4:0.6-2ubuntu3 [436kB]
Fetched 6,145kB in 26s (233kB/s)
Selecting previously deselected package libavutil-extra-50.
(Reading database ... 39716 files and directories currently installed.)
Unpacking libavutil-extra-50 (from .../libavutil-extra-50_4%3a0.6-2ubuntu3_amd64.deb) ...
Selecting previously deselected package libdirac-encoder0.
Unpacking libdirac-encoder0 (from .../libdirac-encoder0_1.0.2-3_amd64.deb) ...
Selecting previously deselected package libfaad2.
Unpacking libfaad2 (from .../libfaad2_2.7-4_amd64.deb) ...
Selecting previously deselected package libgsm1.
Unpacking libgsm1 (from .../libgsm1_1.0.13-3_amd64.deb) ...
Selecting previously deselected package libmp3lame0.
Unpacking libmp3lame0 (from .../libmp3lame0_3.98.4-0ubuntu1_amd64.deb) ...
Selecting previously deselected package libopenjpeg2.
Unpacking libopenjpeg2 (from .../libopenjpeg2_1.3+dfsg-4_amd64.deb) ...
Selecting previously deselected package liborc-0.4-0.
Unpacking liborc-0.4-0 (from .../liborc-0.4-0_0.4.6-1_amd64.deb) ...
Selecting previously deselected package libschroedinger-1.0-0.
Unpacking libschroedinger-1.0-0 (from .../libschroedinger-1.0-0_1.0.9.really-1build1_amd64.deb) ...
Selecting previously deselected package libspeex1.
Unpacking libspeex1 (from .../libspeex1_1.2~rc1-1ubuntu1_amd64.deb) ...
Selecting previously deselected package libogg0.
Unpacking libogg0 (from .../libogg0_1.2.0~dfsg-1_amd64.deb) ...
Selecting previously deselected package libtheora0.
Unpacking libtheora0 (from .../libtheora0_1.1.1+dfsg.1-3_amd64.deb) ...
Selecting previously deselected package libva1.
Unpacking libva1 (from .../libva1_1.0.1-3_amd64.deb) ...
Selecting previously deselected package libvorbis0a.
Unpacking libvorbis0a (from .../libvorbis0a_1.3.1-1_amd64.deb) ...
Selecting previously deselected package libvorbisenc2.
Unpacking libvorbisenc2 (from .../libvorbisenc2_1.3.1-1_amd64.deb) ...
Selecting previously deselected package libvpx0.
Unpacking libvpx0 (from .../libvpx0_0.9.2-1build1_amd64.deb) ...
Selecting previously deselected package libx264-98.
Unpacking libx264-98 (from .../libx264-98_2%3a0.98.1653+git88b90d9-3_amd64.deb) ...
Selecting previously deselected package libxvidcore4.
Unpacking libxvidcore4 (from .../libxvidcore4_2%3a1.2.2+debian-1ubuntu2_amd64.deb) ...
Selecting previously deselected package libavcodec-extra-52.
Unpacking libavcodec-extra-52 (from .../libavcodec-extra-52_4%3a0.6-2ubuntu3_amd64.deb) ...
Selecting previously deselected package libswscale-extra-0.
Unpacking libswscale-extra-0 (from .../libswscale-extra-0_4%3a0.6-2ubuntu3_amd64.deb) ...
Selecting previously deselected package libavfilter-extra-1.
Unpacking libavfilter-extra-1 (from .../libavfilter-extra-1_4%3a0.6-2ubuntu3_amd64.deb) ...
Selecting previously deselected package librtmp0.
Unpacking librtmp0 (from .../librtmp0_2.3-2_amd64.deb) ...
Selecting previously deselected package libavformat-extra-52.
Unpacking libavformat-extra-52 (from .../libavformat-extra-52_4%3a0.6-2ubuntu3_amd64.deb) ...
Setting up libavutil-extra-50 (4:0.6-2ubuntu3) ...
Setting up libdirac-encoder0 (1.0.2-3) ...
Setting up libfaad2 (2.7-4) ...
Setting up libgsm1 (1.0.13-3) ...
Setting up libmp3lame0 (3.98.4-0ubuntu1) ...
Setting up libopenjpeg2 (1.3+dfsg-4) ...
Setting up liborc-0.4-0 (0.4.6-1) ...
Setting up libschroedinger-1.0-0 (1.0.9.really-1build1) ...
Setting up libspeex1 (1.2~rc1-1ubuntu1) ...
Setting up libogg0 (1.2.0~dfsg-1) ...
Setting up libtheora0 (1.1.1+dfsg.1-3) ...
Setting up libva1 (1.0.1-3) ...
Setting up libvorbis0a (1.3.1-1) ...
Setting up libvorbisenc2 (1.3.1-1) ...
Setting up libvpx0 (0.9.2-1build1) ...
Setting up libx264-98 (2:0.98.1653+git88b90d9-3) ...
Setting up libxvidcore4 (2:1.2.2+debian-1ubuntu2) ...
Setting up libavcodec-extra-52 (4:0.6-2ubuntu3) ...
Setting up libswscale-extra-0 (4:0.6-2ubuntu3) ...
Setting up libavfilter-extra-1 (4:0.6-2ubuntu3) ...
Setting up librtmp0 (2.3-2) ...
Setting up libavformat-extra-52 (4:0.6-2ubuntu3) ...
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
--- Installing ZoneMinder...
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
apache2 apache2-mpm-prefork apache2-utils apache2.2-bin apache2.2-common
ffmpeg javascript-common libapache2-mod-php5 libapr1 libaprutil1
libaprutil1-dbd-sqlite3 libaprutil1-ldap libarchive-zip-perl libasound2
libavdevice52 libconvert-binhex-perl libdate-manip-perl libdbd-mysql-perl
libdbi-perl libdc1394-22 libdevice-serialport-perl libemail-date-format-perl
libhtml-template-perl libio-stringy-perl libjpeg62 libjs-mootools
libmime-lite-perl libmime-tools-perl libmime-types-perl libmysqlclient16
libnet-daemon-perl libphp-serialization-perl libplrpc-perl libpostproc51
libpython2.6 libraw1394-11 libsdl1.2debian libsdl1.2debian-alsa libusb-1.0-0
libxfixes3 libyaml-syck-perl mysql-client-5.1 mysql-client-core-5.1
mysql-common mysql-server mysql-server-5.1 mysql-server-core-5.1 nullmailer
php5 php5-cli php5-common php5-mysql ssl-cert unzip wwwconfig-common zip
Suggested packages:
apache2-doc apache2-suexec apache2-suexec-custom php-pear libasound2-plugins
libipc-sharedcache-perl libraw1394-doc tinyca mailx php5-suhosin
openssl-blacklist mysql-client postgresql-client apache apache-ssl
The following NEW packages will be installed:
apache2 apache2-mpm-prefork apache2-utils apache2.2-bin apache2.2-common
ffmpeg javascript-common libapache2-mod-php5 libapr1 libaprutil1
libaprutil1-dbd-sqlite3 libaprutil1-ldap libarchive-zip-perl libasound2
libavdevice52 libconvert-binhex-perl libdate-manip-perl libdbd-mysql-perl
libdbi-perl libdc1394-22 libdevice-serialport-perl libemail-date-format-perl
libhtml-template-perl libio-stringy-perl libjpeg62 libjs-mootools
libmime-lite-perl libmime-tools-perl libmime-types-perl libmysqlclient16
libnet-daemon-perl libphp-serialization-perl libplrpc-perl libpostproc51
libpython2.6 libraw1394-11 libsdl1.2debian libsdl1.2debian-alsa libusb-1.0-0
libxfixes3 libyaml-syck-perl mysql-client-5.1 mysql-client-core-5.1
mysql-common mysql-server mysql-server-5.1 mysql-server-core-5.1 nullmailer
php5 php5-cli php5-common php5-mysql ssl-cert unzip wwwconfig-common zip
zoneminder
0 upgraded, 57 newly installed, 0 to remove and 0 not upgraded.
Need to get 42.3MB of archives.
After this operation, 124MB of additional disk space will be used.
Get:1 http://us.archive.ubuntu.com/ubuntu/ maverick/main mysql-common all 5.1.49-1ubuntu8 [63.6kB]
Get:2 http://us.archive.ubuntu.com/ubuntu/ maverick/main libnet-daemon-perl all 0.43-1 [46.9kB]
Get:3 http://us.archive.ubuntu.com/ubuntu/ maverick/main libplrpc-perl all 0.2020-2 [36.0kB]
Get:4 http://us.archive.ubuntu.com/ubuntu/ maverick/main libdbi-perl amd64 1.611-1 [827kB]
Get:5 http://us.archive.ubuntu.com/ubuntu/ maverick/main libmysqlclient16 amd64 5.1.49-1ubuntu8 [1,934kB]
Get:6 http://us.archive.ubuntu.com/ubuntu/ maverick/main libdbd-mysql-perl amd64 4.016-1 [140kB]
Get:7 http://us.archive.ubuntu.com/ubuntu/ maverick/main mysql-client-core-5.1 amd64 5.1.49-1ubuntu8 [153kB]
Get:8 http://us.archive.ubuntu.com/ubuntu/ maverick/main mysql-client-5.1 amd64 5.1.49-1ubuntu8 [8,672kB]
Get:9 http://us.archive.ubuntu.com/ubuntu/ maverick/main mysql-server-core-5.1 amd64 5.1.49-1ubuntu8 [4,957kB]
Get:10 http://us.archive.ubuntu.com/ubuntu/ maverick/main mysql-server-5.1 amd64 5.1.49-1ubuntu8 [7,078kB]
Get:11 http://us.archive.ubuntu.com/ubuntu/ maverick/main libapr1 amd64 1.4.2-3ubuntu1 [91.0kB]
Get:12 http://us.archive.ubuntu.com/ubuntu/ maverick/main libaprutil1 amd64 1.3.9+dfsg-3build1 [90.8kB]
Get:13 http://us.archive.ubuntu.com/ubuntu/ maverick/main libaprutil1-dbd-sqlite3 amd64 1.3.9+dfsg-3build1 [28.0kB]
Get:14 http://us.archive.ubuntu.com/ubuntu/ maverick/main libaprutil1-ldap amd64 1.3.9+dfsg-3build1 [25.6kB]
Get:15 http://us.archive.ubuntu.com/ubuntu/ maverick/main apache2.2-bin amd64 2.2.16-1ubuntu3 [2,709kB]
Get:16 http://us.archive.ubuntu.com/ubuntu/ maverick/main apache2-utils amd64 2.2.16-1ubuntu3 [164kB]
Get:17 http://us.archive.ubuntu.com/ubuntu/ maverick/main apache2.2-common amd64 2.2.16-1ubuntu3 [301kB]
Get:18 http://us.archive.ubuntu.com/ubuntu/ maverick/main apache2-mpm-prefork amd64 2.2.16-1ubuntu3 [2,374B]
Get:19 http://us.archive.ubuntu.com/ubuntu/ maverick/main apache2 amd64 2.2.16-1ubuntu3 [1,484B]
Get:20 http://us.archive.ubuntu.com/ubuntu/ maverick/main libpython2.6 amd64 2.6.6-5ubuntu1 [1,072kB]
Get:21 http://us.archive.ubuntu.com/ubuntu/ maverick/main libasound2 amd64 1.0.23-1ubuntu2 [436kB]
Get:22 http://us.archive.ubuntu.com/ubuntu/ maverick/main libraw1394-11 amd64 2.0.5-2ubuntu1 [55.1kB]
Get:23 http://us.archive.ubuntu.com/ubuntu/ maverick/main libusb-1.0-0 amd64 2:1.0.8-2 [34.4kB]
Get:24 http://us.archive.ubuntu.com/ubuntu/ maverick/main libdc1394-22 amd64 2.1.2-3 [119kB]
Get:25 http://us.archive.ubuntu.com/ubuntu/ maverick/main libxfixes3 amd64 1:4.0.5-1 [19.2kB]
Get:26 http://us.archive.ubuntu.com/ubuntu/ maverick/main libavdevice52 amd64 4:0.6-2ubuntu6 [62.6kB]
Get:27 http://us.archive.ubuntu.com/ubuntu/ maverick/main libpostproc51 amd64 4:0.6-2ubuntu6 [125kB]
Get:28 http://us.archive.ubuntu.com/ubuntu/ maverick/main libsdl1.2debian-alsa amd64 1.2.14-6ubuntu3 [207kB]
Get:29 http://us.archive.ubuntu.com/ubuntu/ maverick/main libsdl1.2debian amd64 1.2.14-6ubuntu3 [23.6kB]
Get:30 http://us.archive.ubuntu.com/ubuntu/ maverick/main ffmpeg amd64 4:0.6-2ubuntu6 [285kB]
Get:31 http://us.archive.ubuntu.com/ubuntu/ maverick/universe wwwconfig-common all 0.2.1 [22.8kB]
Get:32 http://us.archive.ubuntu.com/ubuntu/ maverick/universe javascript-common all 7 [3,854B]
Get:33 http://us.archive.ubuntu.com/ubuntu/ maverick-updates/main php5-common amd64 5.3.3-1ubuntu9.1 [563kB]
Get:34 http://us.archive.ubuntu.com/ubuntu/ maverick-updates/main libapache2-mod-php5 amd64 5.3.3-1ubuntu9.1 [3,105kB]
Get:35 http://us.archive.ubuntu.com/ubuntu/ maverick/main libarchive-zip-perl all 1.30-2 [95.9kB]
Get:36 http://us.archive.ubuntu.com/ubuntu/ maverick/main libconvert-binhex-perl all 1.119+pristine-3 [30.9kB]
Get:37 http://us.archive.ubuntu.com/ubuntu/ maverick/main libyaml-syck-perl amd64 1.09-1 [83.9kB]
Get:38 http://us.archive.ubuntu.com/ubuntu/ maverick/main libdate-manip-perl all 6.11-1 [2,371kB]
Get:39 http://us.archive.ubuntu.com/ubuntu/ maverick/universe libemail-date-format-perl all 1.002-1 [6,354B]
Get:40 http://us.archive.ubuntu.com/ubuntu/ maverick/main libhtml-template-perl all 2.9-1 [65.8kB]
Get:41 http://us.archive.ubuntu.com/ubuntu/ maverick/main libio-stringy-perl all 2.110-4 [94.7kB]
Get:42 http://us.archive.ubuntu.com/ubuntu/ maverick/main libjpeg62 amd64 6b-16.1 [94.6kB]
Get:43 http://us.archive.ubuntu.com/ubuntu/ maverick/universe libjs-mootools all 1.2.4.0~debian1-1 [248kB]
Get:44 http://us.archive.ubuntu.com/ubuntu/ maverick/universe libmime-lite-perl all 3.027-1 [76.6kB]
Get:45 http://us.archive.ubuntu.com/ubuntu/ maverick/main libmime-tools-perl all 5.427-2 [238kB]
Get:46 http://us.archive.ubuntu.com/ubuntu/ maverick/main libmime-types-perl all 1.30-1 [33.9kB]
Get:47 http://us.archive.ubuntu.com/ubuntu/ maverick/universe libphp-serialization-perl all 0.34-1 [11.1kB]
Get:48 http://us.archive.ubuntu.com/ubuntu/ maverick/main mysql-server all 5.1.49-1ubuntu8 [60.2kB]
Get:49 http://us.archive.ubuntu.com/ubuntu/ maverick-updates/main php5 all 5.3.3-1ubuntu9.1 [1,120B]
Get:50 http://us.archive.ubuntu.com/ubuntu/ maverick-updates/main php5-cli amd64 5.3.3-1ubuntu9.1 [3,017kB]
Get:51 http://us.archive.ubuntu.com/ubuntu/ maverick-updates/main php5-mysql amd64 5.3.3-1ubuntu9.1 [75.4kB]
Get:52 http://us.archive.ubuntu.com/ubuntu/ maverick/main ssl-cert all 1.0.26 [14.5kB]
Get:53 http://us.archive.ubuntu.com/ubuntu/ maverick/main unzip amd64 6.0-4 [190kB]
Get:54 http://us.archive.ubuntu.com/ubuntu/ maverick/main zip amd64 3.0-3 [334kB]
Get:55 http://us.archive.ubuntu.com/ubuntu/ maverick/universe libdevice-serialport-perl amd64 1.04-2 [79.6kB]
Get:56 http://us.archive.ubuntu.com/ubuntu/ maverick/universe zoneminder amd64 1.24.2-7ubuntu1 [1,544kB]
Get:57 http://us.archive.ubuntu.com/ubuntu/ maverick/universe nullmailer amd64 1:1.04-1.2 [108kB]
Fetched 42.3MB in 2min 42s (261kB/s)
Extracting templates from packages: 100%
Preconfiguring packages ...
Selecting previously deselected package mysql-common.
(Reading database ... 39885 files and directories currently installed.)
Unpacking mysql-common (from .../mysql-common_5.1.49-1ubuntu8_all.deb) ...
Selecting previously deselected package libnet-daemon-perl.
Unpacking libnet-daemon-perl (from .../libnet-daemon-perl_0.43-1_all.deb) ...
Selecting previously deselected package libplrpc-perl.
Unpacking libplrpc-perl (from .../libplrpc-perl_0.2020-2_all.deb) ...
Selecting previously deselected package libdbi-perl.
Unpacking libdbi-perl (from .../libdbi-perl_1.611-1_amd64.deb) ...
Selecting previously deselected package libmysqlclient16.
Unpacking libmysqlclient16 (from .../libmysqlclient16_5.1.49-1ubuntu8_amd64.deb) ...
Selecting previously deselected package libdbd-mysql-perl.
Unpacking libdbd-mysql-perl (from .../libdbd-mysql-perl_4.016-1_amd64.deb) ...
Selecting previously deselected package mysql-client-core-5.1.
Unpacking mysql-client-core-5.1 (from .../mysql-client-core-5.1_5.1.49-1ubuntu8_amd64.deb) ...
Selecting previously deselected package mysql-client-5.1.
Unpacking mysql-client-5.1 (from .../mysql-client-5.1_5.1.49-1ubuntu8_amd64.deb) ...
Selecting previously deselected package mysql-server-core-5.1.
Unpacking mysql-server-core-5.1 (from .../mysql-server-core-5.1_5.1.49-1ubuntu8_amd64.deb) ...
Processing triggers for man-db ...
Setting up mysql-common (5.1.49-1ubuntu8) ...
Selecting previously deselected package mysql-server-5.1.
(Reading database ... 40250 files and directories currently installed.)
Unpacking mysql-server-5.1 (from .../mysql-server-5.1_5.1.49-1ubuntu8_amd64.deb) ...
Selecting previously deselected package libapr1.
Unpacking libapr1 (from .../libapr1_1.4.2-3ubuntu1_amd64.deb) ...
Selecting previously deselected package libaprutil1.
Unpacking libaprutil1 (from .../libaprutil1_1.3.9+dfsg-3build1_amd64.deb) ...
Selecting previously deselected package libaprutil1-dbd-sqlite3.
Unpacking libaprutil1-dbd-sqlite3 (from .../libaprutil1-dbd-sqlite3_1.3.9+dfsg-3build1_amd64.deb) ...
Selecting previously deselected package libaprutil1-ldap.
Unpacking libaprutil1-ldap (from .../libaprutil1-ldap_1.3.9+dfsg-3build1_amd64.deb) ...
Selecting previously deselected package apache2.2-bin.
Unpacking apache2.2-bin (from .../apache2.2-bin_2.2.16-1ubuntu3_amd64.deb) ...
Selecting previously deselected package apache2-utils.
Unpacking apache2-utils (from .../apache2-utils_2.2.16-1ubuntu3_amd64.deb) ...
Selecting previously deselected package apache2.2-common.
Unpacking apache2.2-common (from .../apache2.2-common_2.2.16-1ubuntu3_amd64.deb) ...
Selecting previously deselected package apache2-mpm-prefork.
Unpacking apache2-mpm-prefork (from .../apache2-mpm-prefork_2.2.16-1ubuntu3_amd64.deb) ...
Selecting previously deselected package apache2.
Unpacking apache2 (from .../apache2_2.2.16-1ubuntu3_amd64.deb) ...
Selecting previously deselected package libpython2.6.
Unpacking libpython2.6 (from .../libpython2.6_2.6.6-5ubuntu1_amd64.deb) ...
Selecting previously deselected package libasound2.
Unpacking libasound2 (from .../libasound2_1.0.23-1ubuntu2_amd64.deb) ...
Selecting previously deselected package libraw1394-11.
Unpacking libraw1394-11 (from .../libraw1394-11_2.0.5-2ubuntu1_amd64.deb) ...
Selecting previously deselected package libusb-1.0-0.
Unpacking libusb-1.0-0 (from .../libusb-1.0-0_2%3a1.0.8-2_amd64.deb) ...
Selecting previously deselected package libdc1394-22.
Unpacking libdc1394-22 (from .../libdc1394-22_2.1.2-3_amd64.deb) ...
Selecting previously deselected package libxfixes3.
Unpacking libxfixes3 (from .../libxfixes3_1%3a4.0.5-1_amd64.deb) ...
Selecting previously deselected package libavdevice52.
Unpacking libavdevice52 (from .../libavdevice52_4%3a0.6-2ubuntu6_amd64.deb) ...
Selecting previously deselected package libpostproc51.
Unpacking libpostproc51 (from .../libpostproc51_4%3a0.6-2ubuntu6_amd64.deb) ...
Selecting previously deselected package libsdl1.2debian-alsa.
Unpacking libsdl1.2debian-alsa (from .../libsdl1.2debian-alsa_1.2.14-6ubuntu3_amd64.deb) ...
Selecting previously deselected package libsdl1.2debian.
Unpacking libsdl1.2debian (from .../libsdl1.2debian_1.2.14-6ubuntu3_amd64.deb) ...
Selecting previously deselected package ffmpeg.
Unpacking ffmpeg (from .../ffmpeg_4%3a0.6-2ubuntu6_amd64.deb) ...
Selecting previously deselected package wwwconfig-common.
Unpacking wwwconfig-common (from .../wwwconfig-common_0.2.1_all.deb) ...
Selecting previously deselected package javascript-common.
Unpacking javascript-common (from .../javascript-common_7_all.deb) ...
Selecting previously deselected package php5-common.
Unpacking php5-common (from .../php5-common_5.3.3-1ubuntu9.1_amd64.deb) ...
Selecting previously deselected package libapache2-mod-php5.
Unpacking libapache2-mod-php5 (from .../libapache2-mod-php5_5.3.3-1ubuntu9.1_amd64.deb) ...
Selecting previously deselected package libarchive-zip-perl.
Unpacking libarchive-zip-perl (from .../libarchive-zip-perl_1.30-2_all.deb) ...
Selecting previously deselected package libconvert-binhex-perl.
Unpacking libconvert-binhex-perl (from .../libconvert-binhex-perl_1.119+pristine-3_all.deb) ...
Selecting previously deselected package libyaml-syck-perl.
Unpacking libyaml-syck-perl (from .../libyaml-syck-perl_1.09-1_amd64.deb) ...
Selecting previously deselected package libdate-manip-perl.
Unpacking libdate-manip-perl (from .../libdate-manip-perl_6.11-1_all.deb) ...
Selecting previously deselected package libemail-date-format-perl.
Unpacking libemail-date-format-perl (from .../libemail-date-format-perl_1.002-1_all.deb) ...
Selecting previously deselected package libhtml-template-perl.
Unpacking libhtml-template-perl (from .../libhtml-template-perl_2.9-1_all.deb) ...
Selecting previously deselected package libio-stringy-perl.
Unpacking libio-stringy-perl (from .../libio-stringy-perl_2.110-4_all.deb) ...
Selecting previously deselected package libjpeg62.
Unpacking libjpeg62 (from .../libjpeg62_6b-16.1_amd64.deb) ...
Selecting previously deselected package libjs-mootools.
Unpacking libjs-mootools (from .../libjs-mootools_1.2.4.0~debian1-1_all.deb) ...
Selecting previously deselected package libmime-lite-perl.
Unpacking libmime-lite-perl (from .../libmime-lite-perl_3.027-1_all.deb) ...
Selecting previously deselected package libmime-tools-perl.
Unpacking libmime-tools-perl (from .../libmime-tools-perl_5.427-2_all.deb) ...
Selecting previously deselected package libmime-types-perl.
Unpacking libmime-types-perl (from .../libmime-types-perl_1.30-1_all.deb) ...
Selecting previously deselected package libphp-serialization-perl.
Unpacking libphp-serialization-perl (from .../libphp-serialization-perl_0.34-1_all.deb) ...
Selecting previously deselected package mysql-server.
Unpacking mysql-server (from .../mysql-server_5.1.49-1ubuntu8_all.deb) ...
Selecting previously deselected package php5.
Unpacking php5 (from .../php5_5.3.3-1ubuntu9.1_all.deb) ...
Selecting previously deselected package php5-cli.
Unpacking php5-cli (from .../php5-cli_5.3.3-1ubuntu9.1_amd64.deb) ...
Selecting previously deselected package php5-mysql.
Unpacking php5-mysql (from .../php5-mysql_5.3.3-1ubuntu9.1_amd64.deb) ...
Selecting previously deselected package ssl-cert.
Unpacking ssl-cert (from .../ssl-cert_1.0.26_all.deb) ...
Selecting previously deselected package unzip.
Unpacking unzip (from .../archives/unzip_6.0-4_amd64.deb) ...
Selecting previously deselected package zip.
Unpacking zip (from .../archives/zip_3.0-3_amd64.deb) ...
Selecting previously deselected package libdevice-serialport-perl.
Unpacking libdevice-serialport-perl (from .../libdevice-serialport-perl_1.04-2_amd64.deb) ...
Selecting previously deselected package zoneminder.
Unpacking zoneminder (from .../zoneminder_1.24.2-7ubuntu1_amd64.deb) ...
Selecting previously deselected package nullmailer.
Unpacking nullmailer (from .../nullmailer_1%3a1.04-1.2_amd64.deb) ...
Processing triggers for ureadahead ...
ureadahead will be reprofiled on next reboot
Processing triggers for man-db ...
Processing triggers for ufw ...
Setting up libnet-daemon-perl (0.43-1) ...
Setting up libplrpc-perl (0.2020-2) ...
Setting up libdbi-perl (1.611-1) ...
Setting up libmysqlclient16 (5.1.49-1ubuntu8) ...
Setting up libdbd-mysql-perl (4.016-1) ...
Setting up mysql-client-core-5.1 (5.1.49-1ubuntu8) ...
Setting up mysql-client-5.1 (5.1.49-1ubuntu8) ...
Setting up mysql-server-core-5.1 (5.1.49-1ubuntu8) ...
Setting up mysql-server-5.1 (5.1.49-1ubuntu8) ...
mysql start/running, process 6834
Setting up libapr1 (1.4.2-3ubuntu1) ...
Setting up libaprutil1 (1.3.9+dfsg-3build1) ...
Setting up libaprutil1-dbd-sqlite3 (1.3.9+dfsg-3build1) ...
Setting up libaprutil1-ldap (1.3.9+dfsg-3build1) ...
Setting up apache2.2-bin (2.2.16-1ubuntu3) ...
Setting up apache2-utils (2.2.16-1ubuntu3) ...
Setting up apache2.2-common (2.2.16-1ubuntu3) ...
Enabling site default.
Enabling module alias.
Enabling module autoindex.
Enabling module dir.
Enabling module env.
Enabling module mime.
Enabling module negotiation.
Enabling module setenvif.
Enabling module status.
Enabling module auth_basic.
Enabling module deflate.
Enabling module authz_default.
Enabling module authz_user.
Enabling module authz_groupfile.
Enabling module authn_file.
Enabling module authz_host.
Enabling module reqtimeout.
Setting up apache2-mpm-prefork (2.2.16-1ubuntu3) ...
* Starting web server apache2 [ OK ]
Setting up apache2 (2.2.16-1ubuntu3) ...
Setting up libpython2.6 (2.6.6-5ubuntu1) ...
Setting up libasound2 (1.0.23-1ubuntu2) ...
Setting up libraw1394-11 (2.0.5-2ubuntu1) ...
Setting up libusb-1.0-0 (2:1.0.8-2) ...
Setting up libdc1394-22 (2.1.2-3) ...
Setting up libxfixes3 (1:4.0.5-1) ...
Setting up libavdevice52 (4:0.6-2ubuntu6) ...
Setting up libpostproc51 (4:0.6-2ubuntu6) ...
Setting up libsdl1.2debian-alsa (1.2.14-6ubuntu3) ...
Setting up libsdl1.2debian (1.2.14-6ubuntu3) ...
Setting up ffmpeg (4:0.6-2ubuntu6) ...
Setting up wwwconfig-common (0.2.1) ...
Setting up javascript-common (7) ...
Setting up php5-common (5.3.3-1ubuntu9.1) ...
Setting up libapache2-mod-php5 (5.3.3-1ubuntu9.1) ...

Creating config file /etc/php5/apache2/php.ini with new version
* Reloading web server config apache2 [ OK ]
Setting up libarchive-zip-perl (1.30-2) ...
Setting up libconvert-binhex-perl (1.119+pristine-3) ...
Setting up libyaml-syck-perl (1.09-1) ...
Setting up libdate-manip-perl (6.11-1) ...
Setting up libemail-date-format-perl (1.002-1) ...
Setting up libhtml-template-perl (2.9-1) ...
Setting up libio-stringy-perl (2.110-4) ...
Setting up libjpeg62 (6b-16.1) ...
Setting up libjs-mootools (1.2.4.0~debian1-1) ...
Setting up libmime-lite-perl (3.027-1) ...
Setting up libmime-tools-perl (5.427-2) ...
Setting up libmime-types-perl (1.30-1) ...
Setting up libphp-serialization-perl (0.34-1) ...
Setting up mysql-server (5.1.49-1ubuntu8) ...
Setting up php5 (5.3.3-1ubuntu9.1) ...
Setting up php5-cli (5.3.3-1ubuntu9.1) ...

Creating config file /etc/php5/cli/php.ini with new version
update-alternatives: using /usr/bin/php5 to provide /usr/bin/php (php) in auto mode.
Setting up php5-mysql (5.3.3-1ubuntu9.1) ...
Setting up ssl-cert (1.0.26) ...
Setting up unzip (6.0-4) ...
Setting up zip (3.0-3) ...
Setting up libdevice-serialport-perl (1.04-2) ...
Setting up zoneminder (1.24.2-7ubuntu1) ...
Starting ZoneMinder: success

Setting up nullmailer (1:1.04-1.2) ...
* Starting mail-transfer-agent: [ OK ]
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
--- Adding ZoneMinder to Apache2...
* Restarting web server apache2 ... waiting [ OK ]
--- Adding alias for zoneminder service and fixing ZoneMinder startup...
Removing any system startup links for /etc/init.d/zoneminder ...
/etc/rc0.d/K20zoneminder
/etc/rc1.d/K20zoneminder
/etc/rc2.d/S20zoneminder
/etc/rc3.d/S20zoneminder
/etc/rc4.d/S20zoneminder
/etc/rc5.d/S20zoneminder
/etc/rc6.d/K20zoneminder
Removing any system startup links for /etc/init.d/zm ...
Adding system startup for /etc/init.d/zm ...
/etc/rc0.d/K92zm -> ../init.d/zm
/etc/rc1.d/K92zm -> ../init.d/zm
/etc/rc6.d/K92zm -> ../init.d/zm
/etc/rc2.d/S92zm -> ../init.d/zm
/etc/rc3.d/S92zm -> ../init.d/zm
/etc/rc4.d/S92zm -> ../init.d/zm
/etc/rc5.d/S92zm -> ../init.d/zm
Stopping ZoneMinder: success

Starting ZoneMinder: success

--- Correcting SHM to 90% of memory...
Reading package lists... Done
Building dependency tree
Reading state information... Done
coreutils is already the newest version.
The following NEW packages will be installed:
bc
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 112kB of archives.
After this operation, 328kB of additional disk space will be used.
Get:1 http://us.archive.ubuntu.com/ubuntu/ maverick/main bc amd64 1.06.95-2 [112kB]
Fetched 112kB in 3s (35.7kB/s)
Selecting previously deselected package bc.
(Reading database ... 43933 files and directories currently installed.)
Unpacking bc (from .../bc_1.06.95-2_amd64.deb) ...
Processing triggers for install-info ...
Processing triggers for man-db ...
Setting up bc (1.06.95-2) ...
-- Total memory = 2033291264 B = 1939 MB
-- Page size = 4096 B
-- Current kernel.shmmax = 33554432 B = 32 MB
-- Current kernel.shmall = 2097152 pages
-- Recommended: kernel.shmmax = 1829962137 B = 1745 MB
-- Recommended: kernel.shmmall = 496409 pages
-- Adding: kernel.shmmax to /etc/sysctl.conf
-- Adding: kernel.shmall to /etc/sysctl.conf
-- Using: new sysctl values
kernel.shmmax = 1829962137
kernel.shmall = 496409
--- Done.
root@kimngan:~# adduser www-data video
Adding user `www-data' to group `video' ...
Adding user www-data to group video
Done.
root@kimngan:~# reboot

Broadcast message from root@kimngan
(/dev/pts/0) at 16:04 ...

The system is going down for reboot NOW!
root@kimngan:~# Connection to 192.168.1.75 closed by remote host.
Connection to 192.168.1.75 closed.
thanh@Latitude131L:~$

Exman
Posts: 1
Joined: Mon Oct 25, 2010 12:46 pm

Post by Exman » Mon Oct 25, 2010 3:29 pm

Hello everyone. Great instruction!Thanx! Please, tell me, what I have to do with following errors?
Mon Oct 25 18:24:54 2010] [error] [client 192.168.200.7] socket_sendto( /tmp/zms-059335s.sock ) failed: No such file or directory, referer: http://192.168.200.7/zm/index.php?view=watch&mid=1
[Mon Oct 25 18:24:54 2010] [error] [client 192.168.200.7] array (\n 0 => \n array (\n 'file' => '/usr/share/zoneminder/ajax/stream.php',\n 'line' => 55,\n 'function' => 'ajaxError',\n 'args' => \n array (\n 0 => 'socket_sendto( /tmp/zms-059335s.sock ) failed: No such file or directory',\n ),\n ),\n 1 => \n array (\n 'file' => '/usr/share/zoneminder/index.php',\n 'line' => 116,\n 'args' => \n array (\n 0 => '/usr/share/zoneminder/ajax/stream.php',\n ),\n 'function' => 'require_once',\n ),\n), referer: http://192.168.200.7/zm/index.php?view=watch&mid=1
[Mon Oct 25 18:25:02 2010] [error] [client 192.168.200.7] socket_sendto( /tmp/zms-059335s.sock ) failed: No such file or directory, referer: http://192.168.200.7/zm/index.php?view=watch&mid=1
[Mon Oct 25 18:25:02 2010] [error] [client 192.168.200.7] array (\n 0 => \n array (\n 'file' => '/usr/share/zoneminder/ajax/stream.php',\n 'line' => 55,\n 'function' => 'ajaxError',\n 'args' => \n array (\n 0 => 'socket_sendto( /tmp/zms-059335s.sock ) failed: No such file or directory',\n ),\n ),\n 1 => \n array (\n 'file' => '/usr/share/zoneminder/index.php',\n 'line' => 116,\n 'args' => \n array (\n 0 => '/usr/share/zoneminder/ajax/stream.php',\n ),\n 'function' => 'require_once',\n ),\n), referer: http://192.168.200.7/zm/index.php?view=watch&mid=1

[Mon Oct 25 18:30:27 2010] [error] [client 192.168.200.7] PHP Deprecated: Function split() is deprecated in /usr/share/zoneminder/skins/classic/views/options.php on line 193, referer: http://192.168.200.7/zm/index.php

martymoose
Posts: 128
Joined: Tue Jul 12, 2005 9:59 am
Location: australia

Post by martymoose » Tue Oct 26, 2010 4:34 am

Panda letsharehowto

WELL DONE :D
I donated have YOU?

Post Reply

Who is online

Users browsing this forum: No registered users and 2 guests